unit FaxTestFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Fax, ExtCtrls, OleCtrls, GraphSvr, DBGrids, DB,
  DBTables, Grids, Calendar;

type
  TMainForm = class(TForm)
    Fax1: TFax;
    FaxIdentification: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    PhoneNo: TEdit;
    GoButton: TBitBtn;
    Shape1: TShape;
    Calendar1: TCalendar;
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Label3: TLabel;
    Image1: TImage;
    Label4: TLabel;
    Memo1: TMemo;
    SaveButton: TBitBtn;
    Label5: TLabel;
    SaveDialog1: TSaveDialog;
    procedure GoButtonClick(Sender: TObject);
    procedure Fax1CommReceive(Sender: TObject; var s: string);
    procedure Fax1CommTransmit(Sender: TObject; var s: string);
    procedure SaveButtonClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.GoButtonClick(Sender: TObject);
begin
    try
        Fax1.FaxIdentification := FaxIdentification.Text;
        Fax1.PhoneNo := PhoneNo.Text;
        Fax1.StartFax;
        Fax1.SendPage(MainForm.GetFormImage.Canvas, MainForm.Canvas.ClipRect, False);
    finally
        Memo1.Lines.Add('');
    end;
end;

procedure TMainForm.Fax1CommReceive(Sender: TObject; var s: string);
begin
    Memo1.Lines[Memo1.Lines.Count] := Memo1.Lines[Memo1.Lines.Count] + s;
    if Pos(#13,s) <> 0 then Memo1.Lines.Add('');
end;

procedure TMainForm.Fax1CommTransmit(Sender: TObject; var s: string);
begin
    Memo1.Lines[Memo1.Lines.Count] := Memo1.Lines[Memo1.Lines.Count] + s;
    if Pos(#13,s) <> 0 then Memo1.Lines.Add('');
end;

procedure TMainForm.SaveButtonClick(Sender: TObject);
var
    f: TextFile;
    i: Integer;
begin
    if SaveDialog1.Execute then
    begin
        AssignFile(f, SaveDialog1.Filename);
        Rewrite(f);
        for i := 0 to Memo1.Lines.Count - 1 do
            WriteLn(f, Memo1.Lines[i]);
        CloseFile(f);
    end;
end;

end.
